Please select Into the mobile phone version | Continue to access the computer ver.
DJI Pocket 2 compatible and non-compatible phones/troubleshooting
64710 354 2021-2-5
Uploading and Loding Picture ...(0/1)
o(^-^)o
HGDC84
Captain
Finland
Offline

DJI-ytao Posted at 3-3 03:09
Hi all. Sincere thank for the test and feedback. We are working on the compatibility of different bands of android phones too.

Plz note that Mimo 1.5.4 version is a very old version, which is not compatible with Android 12.

Thank you for your official acknowledgement of this thread. This is not only of my doing, but all the great forum members who have given their efforts to test and report these phones and tablets. Without them, the list would had never grown this big.

We hope you can keep on testing, reporting and upgrade the support for further models. The more models you can make compatible, the less people will have hesitation to get the Pocket 2. ;-) Also, if there were a possibility to list some kind of system requirements list, it would greatly help us to check out if our phones and/or tablets will fulfill the criteria required to run the Mimo app and get the Pocket 2 activated and in use.

As for the version note, I think it is a good thing to say about the Mimo version 1.5.4 version not being compatible with Android 12. I will take this note and add it to the troubleshooting tips for further reference. However, I think it will be important to see if older versions will work too, as some models may be compatible with the Pocket 2 when using an older version of the app, but may not be able to use a newer version of the app (either by not being able to install the later version, or by the later version not working properly for some reason with the newer phone).

But overall, thank you for the support for this thread :-)
2022-3-4
Use props
DearMyrah
New

United States
Offline

So Motorola G7 Play is a no-go, as well. Wish I knew that before I bought my Pocket. Grr. Anybody know about iPhone 12 Mini?
2022-3-9
Use props
HGDC84
Captain
Finland
Offline

DearMyrah Posted at 3-9 21:35
So Motorola G7 Play is a no-go, as well. Wish I knew that before I bought my Pocket. Grr. Anybody know about iPhone 12 Mini?

Thank you for that report, updated on the list.

Haven't heard any reports considering the iPhone 12 Mini, but will put it on the list as soon as I will hear something from it.
2022-3-9
Use props
fans91ea3ef9
lvl.1
Poland
Offline

I've tested with Redmi 7a - connection with dji mimo works until osmo firmware update. After update mimo stopped discovering device.
Then I've tried with Nexus 6, Samsung A21 and the same problem.
Yesterday Ive bought Samusng A32 and it start working just like that.
2022-3-17
Use props
HGDC84
Captain
Finland
Offline

fans91ea3ef9 Posted at 3-17 23:27
I've tested with Redmi 7a - connection with dji mimo works until osmo firmware update. After update mimo stopped discovering device.
Then I've tried with Nexus 6, Samsung A21 and the same problem.
Yesterday Ive bought Samusng A32 and it start working just like that.

Thank you for that information, I have now updated the list accordingly.

Also, glad to hear you found a model that works :-)
2022-3-18
Use props
HGDC84
Captain
Finland
Offline

Added one new compatible model - Samsung Galaxy A52.

Happy Easter everybody!
2022-4-15
Use props
SolitarySand
lvl.1

United Kingdom
Offline

Samsung galaxy A11 will not install the latest mimo app and the old app will not recognise the pocket 2.
2022-5-20
Use props
SolitarySand
lvl.1

United Kingdom
Offline

At the point of sale there is no heads up what so ever regarding the pocket 2's fundamental reliance on completely unrelated products... thankfully i happen to have a tablet that could install the latest mimo app so at least i can activate the bloody thing!

i absolutely love my pocket 1 and as a result always held dji in very high esteem... not anymore.

i will tread carefully around this bunch of toe-rags in the future!
2022-5-20
Use props
HGDC84
Captain
Finland
Offline

SolitarySand Posted at 5-20 14:27
Samsung galaxy A11 will not install the latest mimo app and the old app will not recognise the pocket 2.

Thank you for your report, this model has now been added to the list.
2022-5-23
Use props
HGDC84
Captain
Finland
Offline

SolitarySand Posted at 5-20 15:57
At the point of sale there is no heads up what so ever regarding the pocket 2's fundamental reliance on completely unrelated products... thankfully i happen to have a tablet that could install the latest mimo app so at least i can activate the bloody thing!

i absolutely love my pocket 1 and as a result always held dji in very high esteem... not anymore.

I can see your frustrations, had a very similar experience myself and that was part of the reason I originally created these lists. They really dropped the ball on this one. At least I'm glad to hear your tablet saved your situation here :-)

Hearing the comments saying these thread helped people to get ti use the Pocket 2 are always nice to hear. I just hope DJI would learn from the uproar caused by this activation nonsense.
2022-5-23
Use props
HGDC84
Captain
Finland
Offline

Added one new non-compatible model: Samsung Galaxy A11.
2022-5-23
Use props
djiuser_umAx1ROZTuO7
New

Colombia
Offline

Samsung galaxy A52s no funciona  
2022-6-13
Use props
HGDC84
Captain
Finland
Offline

djiuser_umAx1ROZTuO7 Posted at 6-13 18:39
Samsung galaxy A52s no funciona

Thank you for your report, will update it on the list. Hopefully you will find another way to activate your Pocket 2.
2022-6-15
Use props
kells.green
New
Venezuela
Offline

I finally managed to activate my Osmo Pocket 2.
My Xiaomi Redmi Note 9 didn't work, I couldn't install the latest version of DJI Mimi and the older version wasn't for the Pocket 2.

I managed to do it with a different phone, a friend's phone.
Xiaomi Poco X3 worked smoothly. I could install the app (v1.7.16) and activate the Pocket 2 easily.
But it's kinda annoying that I can't use my phone to record with this camera.
2022-6-15
Use props
HGDC84
Captain
Finland
Offline

kells.green Posted at 6-15 13:03
I finally managed to activate my Osmo Pocket 2.
My Xiaomi Redmi Note 9 didn't work, I couldn't install the latest version of DJI Mimi and the older version wasn't for the Pocket 2.

While it is a shame you can't use your original phone with the Pocket 2, I am glad to hear you at least got the camera activated.

Also, thank you for your test reports, those will be helpful for further cases.

I agree on having to change the phone just to be able to use the camera being a nuisance. Don't know why they had to do it like this, but sure hope they would change it for the upcoming models.
2022-6-15
Use props
djiuser_HMjzF1a8o0wS
lvl.1

Netherlands
Offline

Hi Everyone,  

Hope this forum can help with an issue I have been having with connecting my OM5 to the DJI Mimo app V 1.7.17

I have been unable to connect to the device from the app yet my S22 ultra connects/pairs to the OM5 without hassel

The mimo app finds the device but fails to connect to the device. I left it to connect for -+ 20 minutes at times

Anyone else possibly having this issue ?

Screenshot_20220617-130125.jpg
2022-6-17
Use props
HGDC84
Captain
Finland
Offline

djiuser_HMjzF1a8o0wS Posted at 6-17 03:02
Hi Everyone,  

Hope this forum can help with an issue I have been having with connecting my OM5 to the DJI Mimo app V 1.7.17

I unfortunately have no personal experience on OM5. My topic only handles about the Pocket 2. While the troubleshooting tips and phone/tablet models listed here might be able to help you, I unfortunately can't guarantee it.

Hopefully somebody else around here knows the answers for this? Also, you could possibly try opening another thread for this, creating a similar kind of list but for the OM5.

Good luck with your troubleshooting!

2022-6-20
Use props
FRANCIS VIDEO17
New

France
Offline

Bonjour je possède un XIAOMI REDMI 9T et je voudrais savoir si il est compatible avec le DJI POCKET 2.
Bien cordialement Francis
2022-7-22
Use props
HGDC84
Captain
Finland
Offline

FRANCIS VIDEO17 Posted at 7-22 01:33
Bonjour je possède un XIAOMI REDMI 9T et je voudrais savoir si il est compatible avec le DJI POCKET 2.
Bien cordialement Francis

The previous poster's comment translated:

"Hello, I own a XIAOMI REDMI 9T and I would like to know if it is compatible with the DJI POCKET 2. Best regards, Francis"

Hello and apologies for not being fluent in French, I hope you still understand my reply or manage to get it translated.

Unfortunately, I haven't been able to test the said model myself nor have I received reports about it's compatibility with the Pocket 2. But I will report here if I have the chance to try it out or hear from somebody else's test results.

If you find out this model is not compatible, bear in mind you might be able to activate the Pocket 2 by borrowing somebody else's compatible phone or tablet for the process. After activation, the Pocket 2 can be used as a completely stand-alone device. Also, if you test the device, we'd be happy to hear about your test results on this thread.

Good luck with your activation and use process!
2022-7-23
Use props
djiuser_xLqM4dDbyNni
New

Argentina
Offline

Cambié mi teléfono después de comprar mi Osml Pocket 2 y no es compatible con la ap Dji Mimo. Puede ser que el Samsung S22 no sea compatible. No puedo usar en forma profesional la aplicación.  Si alguien me saca esa duda se lo super agradecería, de no ser compatible tengo que cambiar el tel por un modelo más viejo u otra marca. Cual recomiendan ?
Gracias, saludos!
2022-7-23
Use props
HGDC84
Captain
Finland
Offline

djiuser_xLqM4dDbyNni Posted at 7-23 17:41
Cambié mi teléfono después de comprar mi Osml Pocket 2 y no es compatible con la ap Dji Mimo. Puede ser que el Samsung S22 no sea compatible. No puedo usar en forma profesional la aplicación.  Si alguien me saca esa duda se lo super agradecería, de no ser compatible tengo que cambiar el tel por un modelo más viejo u otra marca. Cual recomiendan ?
Gracias, saludos!

Translation from the previous poster's comment:
"I changed my phone after buying my Osmo Pocket 2 and it is not compatible with the Dji Mimo app. It may be that the Samsung S22 is not supported. I can't use the app professionally. If someone takes out that doubt I would appreciate it, if it is not compatible I have to change the tel for an older model or another brand. Which do you recommend? Thanks, greetings!"

First of all, apologies for me not being fluent on Spanish. I hope you still understand my reply or at least can get it translated from English to Spanish.

Also, thank you for your report. I'll check my lists and see if there is something to change or add to it.

As for older phones working with the Pocket 2, my problems were solved when I got an old OnePlus 5 from a relative. Works great with the latest updates, seems to have no problems with even the later Mimo app updates. That is the one I have been able to personally test myself and seen it will work. But there are also many other good options to have, and I am sure fellow forum members could also have great suggestions for this.

Good luck in finding just the right phone for you! :-)
2022-7-25
Use props
johansenfoto
First Officer
Flight distance : 1173379 ft
  • >>>
Norway
Offline

I can't recommend anyone using Samsung with DJI.
2022-7-25
Use props
HGDC84
Captain
Finland
Offline

johansenfoto Posted at 7-25 13:48
I can't recommend anyone using Samsung with DJI.

They sure seem to be kind of a hit-and-miss manufacturer with the Pocket 2, even though some of their  models do work with it.
2022-7-25
Use props
johansenfoto
First Officer
Flight distance : 1173379 ft
  • >>>
Norway
Offline

HGDC84 Posted at 7-25 13:53
They sure seem to be kind of a hit-and-miss manufacturer with the Pocket 2, even though some of their  models do work with it.

Samsung have problems with DJI Fly aswell, so most products from DJI
2022-7-26
Use props
HGDC84
Captain
Finland
Offline

johansenfoto Posted at 7-26 00:49
Samsung have problems with DJI Fly aswell, so most products from DJI

Probably not good for DJI's sales figures, as Samsung is probably one of the most popular brands on Android side of things.
2022-7-26
Use props
johansenfoto
First Officer
Flight distance : 1173379 ft
  • >>>
Norway
Offline

HGDC84 Posted at 7-26 07:39
Probably not good for DJI's sales figures, as Samsung is probably one of the most popular brands on Android side of things.

True, but doesn't know who to blame, Samsung or DJI.
2022-7-26
Use props
danmcb
New
Belgium
Offline

johansenfoto Posted at 7-26 10:46
True, but doesn't know who to blame, Samsung or DJI.

DJI. It's up to them to maintain a list of what phones work. Not phone manufacturers to be compatible with every gadget on the market.

Asmsun A53-5G doesn't seem to work. You can control the gimbal but you get a back screen. I'm VERY dissapointed as I ordered the do-it-all attachment for my pocket 2 yesterday, but it probably won't work unless I change phone - which is only about 3 months old.

And SAMSUNG are a market leader as well. Come on DJI get it together. Not good.

EDIT : confirm SAMSUNG A53-5G - no video (black screen) via USB-C or the Do-It-All Handle. (This was with MIMO V1.7.20)

2022-7-29
Use props
johansenfoto
First Officer
Flight distance : 1173379 ft
  • >>>
Norway
Offline

danmcb Posted at 7-29 15:59
DJI. It's up to them to maintain a list of what phones work. Not phone manufacturers to be compatible with every gadget on the market.

Asmsun A53-5G doesn't seem to work. You can control the gimbal but you get a back screen. I'm VERY dissapointed as I ordered the do-it-all attachment for my pocket 2 yesterday, but it probably won't work unless I change phone - which is only about 3 months old.

I actually had to buy a new phone when I bought my first Mini drone, but it was worth it since I had a really old phone from before. But it was expensive since the phone costs almost the same as the Mini.
2022-7-30
Use props
danmcb
New
Belgium
Offline

johansenfoto Posted at 7-30 10:20
I actually had to buy a new phone when I bought my first Mini drone, but it was worth it since I had a really old phone from before. But it was expensive since the phone costs almost the same as the Mini.

I bought my Samsung about 3 months ago. Would have made a different choice had I known.
2022-7-31
Use props
johansenfoto
First Officer
Flight distance : 1173379 ft
  • >>>
Norway
Offline

danmcb Posted at 7-31 23:40
I bought my Samsung about 3 months ago. Would have made a different choice had I known.

A friend of mine told me that there are so many that had problems with Samsung DJI drones, so he didn't recommend me to get Samsung.

2022-8-1
Use props
HGDC84
Captain
Finland
Offline

danmcb Posted at 7-29 15:59
DJI. It's up to them to maintain a list of what phones work. Not phone manufacturers to be compatible with every gadget on the market.

Asmsun A53-5G doesn't seem to work. You can control the gimbal but you get a back screen. I'm VERY dissapointed as I ordered the do-it-all attachment for my pocket 2 yesterday, but it probably won't work unless I change phone - which is only about 3 months old.

Thank you for your report, I will update the list accordingly.

Also, very sorry to hear you couldn't get it to work with your phone. I hope you manage to get it activated, or get to use it, some other way around.
2022-8-1
Use props
LenBradshaw
lvl.1

United States
Offline

Hey everyone. Based on the list above, I ordered a Samsung Galaxy S10e since it indicates that it is a compatible phone to use with my new DJI Pocket 2. I installed the Mimo app and connected the camera to the phone. Still, no result. Am I missing something? Is this list no longer valid? I have spent another $150 on this cell phone that I don't need (or want, except to activate and use with my new DJI Pocket 2.) I already have a very expensive Samsung Z-fold. Does the S10e need to have a cell phone number and/or sim card in order for it to work? I'm really beginning to lose my patience, so any help you can offer would be greatly appreciated! I am now down to activation attempt number 3.
2022-8-10
Use props
HGDC84
Captain
Finland
Offline

LenBradshaw Posted at 8-10 14:53
Hey everyone. Based on the list above, I ordered a Samsung Galaxy S10e since it indicates that it is a compatible phone to use with my new DJI Pocket 2. I installed the Mimo app and connected the camera to the phone. Still, no result. Am I missing something? Is this list no longer valid? I have spent another $150 on this cell phone that I don't need (or want, except to activate and use with my new DJI Pocket 2.) I already have a very expensive Samsung Z-fold. Does the S10e need to have a cell phone number and/or sim card in order for it to work? I'm really beginning to lose my patience, so any help you can offer would be greatly appreciated! I am now down to activation attempt number 3.

Hello and sorry to hear about your problem.

As of now, I have received reports that this model should work with the Pocket 2, however there have occasionally been conflicting reports about a model's compatibility that may depend on the connection type, the version of Mimo app installed etc. Also, while I cannot give any perfect warranties about the list being completely correct and up-to-date, I do occasionally visit here and modify and update the list according to the posts and feedback received here.

I assume you have already tried the troubleshooting tips mentioned on the list? If not, do try those and see if those help.

As for the phone number and/or SIM card, the activation process does require an internet connection; however I do not know for sure if it requires a SIM card for a mobile data connection or if a WiFi connection will suffice. You could try if putting a SIM card in makes any difference.

Good luck with your troubleshooting, I hope you get it to work as I have personally experienced how painful it can be to get this camera and find out the problems related to the activation process. It's probably the weakest link of this camera.
2022-8-11
Use props
HGDC84
Captain
Finland
Offline

Added one new compatible model: Samsung Galaxy Note 5. Do note this needs an older version of Mimo app, up until version 1.7.12.
2022-8-11
Use props
djiuser_pAtnh3NK1hR3
lvl.1
Flight distance : 38862 ft
United States
Offline

Samsung A32 5G with Android 12 does not work.
I've tried everything.  Osmo pocket works without phone of course, but the wireless feature and pano shots require the mimo app.  DJI Mimo app stitched those together.  Now that's not available, my pano shots are useless.  I can't believe I'm just learning about this now and how long everyone has been dealing with this.
2022-8-14
Use props
HGDC84
Captain
Finland
Offline

djiuser_pAtnh3NK1hR3 Posted at 8-14 02:44
Samsung A32 5G with Android 12 does not work.
I've tried everything.  Osmo pocket works without phone of course, but the wireless feature and pano shots require the mimo app.  DJI Mimo app stitched those together.  Now that's not available, my pano shots are useless.  I can't believe I'm just learning about this now and how long everyone has been dealing with this.

Thank you for your report, I will update this on the list.

I would like to ask a couple of additional question to specify the information related to this case:
1) Was it the original Osmo Pocket you were testing, or the Pocket 2 model?
2) You said wireless connection didn't work. Did you manage to get it work with physical connection (either using the DJI's USB-C adapter for the camera or a USB-C cable)?

Thank you for your information, I hope you get your problem solved!
2022-8-16
Use props
VEGGIEVIBES
lvl.1
Flight distance : 38862 ft
United States
Offline

1.  I have the original Osmo Pocket.  My phone just recently updated to Android 12.  DJI now only offers the Mimo app on Android 12 to a limited number of phone models.  My Samsung Galaxy A32 is not on that list now.  It's nuts.  I can't use my Osmo Pocket 1 fully bc my phone is not on this special list.

2.  Because the app does not work (crashes on open), the 2 features I use the most are no longer available.:
WIRELESS - I bought the wireless adapter for the Osmo Pocket 1 which worked great for years.  However, you need the DJI Mimo app to work in order for the connection to be made.
PANO SHOTS - The Osmo Pocket 1 takes 2 different kinds of pano shots which are awesome.  However, you need the DJI Mimo app to "stitch" the pano shots together to make the seamless 3-9 photo image.

So my choices are: Buy a an iPhone (apparently there are no issues with iPhone), downgrade my current phone to the factory reset and don't update to Android 12 or just buy a new phone that's on that new compatibility list.  Technically, the Osmo Pocket 1 still works without the Mimo app, but this really isn't acceptable.  From what I've read, this has been going on for months so I guess DJI is not fixing this.



2022-8-18
Use props
HGDC84
Captain
Finland
Offline

VEGGIEVIBES Posted at 8-18 11:47
1.  I have the original Osmo Pocket.  My phone just recently updated to Android 12.  DJI now only offers the Mimo app on Android 12 to a limited number of phone models.  My Samsung Galaxy A32 is not on that list now.  It's nuts.  I can't use my Osmo Pocket 1 fully bc my phone is not on this special list.

2.  Because the app does not work (crashes on open), the 2 features I use the most are no longer available.:

Thank you for your replies.

Unfortunately, I don't have any personal experience with the original Osmo Pocket, so my list may or may not completely apply to it due to being about the Pocket 2. While some tips and models mentioned could work, I cannot personally quarantee it.

We could possibly consider creating a similar list for the original Osmo Pocket for those who use it, unfortunately I am unable to contribute to it myself as I don't have that model. If somebody wants to create a similar list for that, I give you all the permissions to copy my list here and edit it so it correctly applies to the original Osmo Pocket.

I understand your frustrations, my biggest gripe with the Pocket 2 was noticing the problem with not being able to activate or use it with my phone. I later got another phone that worked flawlessly. But I can see not many people are willing to jump through these hoops just to be able to use their camera.

It indeed is unlikely that DJI themselves will do those updates to the original OP, my guess is they are already planning on the Pocket 3. But I hope you will find another satisfactory solution.
2022-8-23
Use props
VEGGIEVIBES
lvl.1
Flight distance : 38862 ft
United States
Offline

HGDC84 Posted at 8-23 12:16
Thank you for your replies.

Unfortunately, I don't have any personal experience with the original Osmo Pocket, so my list may or may not completely apply to it due to being about the Pocket 2. While some tips and models mentioned could work, I cannot personally quarantee it.

It doesn't matter which Pocket it is.  It's the approved Android phone list that has changed.  Which phone did you switch to?  
2022-8-24
Use props
HGDC84
Captain
Finland
Offline

VEGGIEVIBES Posted at 8-24 15:43
It doesn't matter which Pocket it is.  It's the approved Android phone list that has changed.  Which phone did you switch to?

My current phone, the one I switched to from my previous one that didn't work (Samsung Galaxy XCover 4) is an OnePlus 5. Seems to have worked perfectly with the Pocket 2.

As for the significance of the version of Pocket used, it is true that the official DJI list has changed during the time. However, I disagree on the notion of the version of Pocket not mattering in this issue, because there is the factor of the different versions of the Mimo app.

At first, I had no idea that the Pocket 2 wouldn't work with my XCover, because before buying, I did download the Mimo app from the Google Play Store (where it was located at the time), and it seemed to start up perfectly. However, I later found out it couldn't find my Pocket 2, and it turned out the version of Mimo app wasn't new enough for the Pocket 2 to work with it, and I couldn't download and install later Mimo versions on that. After updating to a later version on the OnePlus 5, the Pocket 2 was recognized flawlessly.

However, I think being able to install the Mimo app at all on the XCover would indicate that some DJI devices released before the Pocket 2 could work with the Mimo app installed on the XCover, possibly including the original Osmo Pocket (and if not that, then at least some of their other devices). Hence the title mentioning the Pocket 2 specifically. Some earlier Mimo app versions and devices could have less technical requirements, so it could well be possible that they would work with older or technically more modest phones.

But you are right in that if they are still selling the original Osmo Pocket, yet updating the compatibility list, then they should make sure the Osmo Pocket still works with the new versions or at least clearly mention that they do not support it.
2022-8-25
Use props
Advanced
You need to log in before you can reply Login | Register now

Credit Rules